#include <stdio.h>
#include "../winuser.h"
int _PAINTtext(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CRtext(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _SETtext(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CReditLine(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _CReditText(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _GETline(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETtext(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETlineCount(mmachine m)
{ m->pp+=1;return MMpush(m,0); }
int _ADDtext(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SCROLLtext(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _DELline(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CBtext(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _DStext(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETtextSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SIZEtext(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SHOWtext(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETfirstLine(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBtextMove(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBtextSize(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _GETtextPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONtext(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _CBlineOk(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SETtextSize(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETfirstLine(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETtextFocus(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBtextDropFile(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _ENtext(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NtextPKG 27
char* textname[NtextPKG]=
{"_PAINTtext","_CRtext","_SETtext","_CReditLine","_CReditText","_GETline","_GETtext","_GETlineCount","_ADDtext","_SCROLLtext","_DELline","_CBtext","_DStext","_GETtextSizePosition","_SIZEtext","_SHOWtext","_GETfirstLine","_CBtextMove","_CBtextSize","_GETtextPositionSize","_POSITIONtext","_CBlineOk","_SETtextSize","_SETfirstLine","_SETtextFocus","_CBtextDropFile","_ENtext"};
int (*textfun[NtextPKG])(mmachine m)=
{_PAINTtext,_CRtext,_SETtext,_CReditLine,_CReditText,_GETline,_GETtext,_GETlineCount,_ADDtext,_SCROLLtext,_DELline,_CBtext,_DStext,_GETtextSizePosition,_SIZEtext,_SHOWtext,_GETfirstLine,_CBtextMove,_CBtextSize,_GETtextPositionSize,_POSITIONtext,_CBlineOk,_SETtextSize,_SETfirstLine,_SETtextFocus,_CBtextDropFile,_ENtext};
int textnarg[NtextPKG]=
{1,8,2,8,8,2,1,1,2,3,2,3,1,1,5,2,1,3,3,1,5,3,2,2,1,3,2};
char* texttype[NtextPKG]=
{"fun [ObjText] ObjText","fun [Chn ObjWin I I I I I S] ObjText","fun [ObjText S] ObjText","fun [Chn ObjWin I I I I I S] ObjText","fun [Chn ObjWin I I I I I S] ObjText","fun [ObjText I] S","fun [ObjText] S","fun [ObjText] I","fun [ObjText S] ObjText","fun [ObjText I I] ObjText","fun [ObjText I] ObjText","fun [ObjText fun [ObjText u0] u1 u0] ObjText","fun [ObjText] I","fun [ObjText] [I I I I]","fun [ObjText I I I I] ObjText","fun [ObjText I] ObjText","fun [ObjText] I","fun [ObjText fun [ObjText u0 I I] u1 u0] ObjText","fun [ObjText fun [ObjText u0 I I] u1 u0] ObjText","fun [ObjText] [I I I I]","fun [ObjText I I I I] ObjText","fun [ObjText fun [ObjText u0 S] u1 u0] ObjText","fun [ObjText I] ObjText","fun [ObjText I] ObjText","fun [ObjText] ObjText","fun [ObjText fun [ObjText u0 I I [P r1]] u1 u0] ObjText","fun [ObjText I] ObjText"};
int SCOLloadtext(mmachine m)
{
return PKhardpak(m,"text.pkg",NtextPKG,textname,textfun,textnarg,texttype);
}
